# Get file Get file meta from LawVu Endpoint: GET /v1/files/{fileId} Version: 1.0 ## Path parameters: - `fileId` (integer, required) The Id of the file ## Response 200 fields (text/plain): - `id` (integer) - `type` (string) Options:FolderFile Enum: "Folder", "File" - `size` (integer) - `description` (string,null) - `name` (string,null) - `version` (integer) - `createdDateUtc` (string) - `uploadedBy` (string,null) - `path` (string,null) - `isLocked` (boolean) - `isPrivate` (boolean) - `lockExpiryUtc` (string,null) - `documentId` (string,null) - `externalContentType` (string,null) - `externalWebUri` (string,null) - `parentRecordId` (integer) - `parentRecordType` (string) Options:MatterMilestoneTaskOrganisationContractFileInvoiceBatchKnowledgeArticleFolderFolderTemplateKnowledgeLibraryInboundEmailUserMessageThreadTimelineEntryMatterStatusContractStatusMessageComment Enum: "Matter", "Milestone", "Task", "Organisation", "Contract", "File", "InvoiceBatch", "KnowledgeArticle", "Folder", "FolderTemplate", "KnowledgeLibrary", "InboundEmail", "User", "MessageThread", "TimelineEntry", "MatterStatus", "ContractStatus", "Message", "Comment"